%define name secondlife
%define version 1.13.4.7
%define snapshot 0
%if %{snapshot}
%define release %mkrel 0.%{snapshot}.1
%define oname slviewer-src
%define distname %{oname}-%{snapshot}
%else
%define release %mkrel 2
%define oname slviewer-src-beta
%define distname %{oname}-%{version}
%endif

Summary: Online 3-D virtual world
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://secondlife.com/developers/opensource/downloads/%{distname}.tar.bz2
Patch1: slviewer-src-20070108c-cplusplus.patch
Patch2: slviewer-src-20070108c-boost.patch
Patch3: slviewer-src-beta-1.13.4.7-no_fmod.patch
Patch6: slviewer-src-20070126a-ELFIO.patch
Patch7: slviewer-src-beta-1.13.4.7-datapath.patch
Patch8: slviewer-src-beta-1.13.4.7-extra.patch
Patch9: slviewer-src-beta-1.13.4.7-uictrlfactory.patch
# from SL Jira VWR-123
Patch10: https://jira.secondlife.com/secure/attachment/10130/llimagej2c-fixes-final.patch
License: GPL
Group: Games/Other
Url: http://secondlife.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: SDL-devel
BuildRequires: apr-util-devel bison boost-devel curl-devel elfio-devel expat-devel
BuildRequires: freetype2-devel gtk2-devel jpeg-devel flex libxmlrpc-devel
BuildRequires: mesaglu-devel oggvorbis-devel openjpeg-devel scons zlib-devel
BuildConflicts: freetype-devel
Requires: fonts-ttf-bitstream-vera
Requires: secondlife-artwork

%description
Second Life is a 3-D virtual world entirely built and owned by its residents.

%prep
%setup -q -n linden
%patch1 -p1 -b .cplusplus
%patch2 -p1 -b .boost
%patch3 -p1 -b .no_fmod
%patch6 -p1 -b .ELFIO
%patch7 -p1 -b .datapath
%patch8 -p1 -b .extra
%patch9 -p1 -b .uictrlfactory
pushd indra
%patch10 -p0 -b .oj_fixes
popd

perl -pi -e 's/\Qg++-3.4\E/g++/' indra/SConstruct

mkdir libraries/include/expat
ln -s %{_includedir}/expat.h libraries/include/expat
mkdir -p libraries/include/llfreetype2/freetype
ln -s %{_includedir}/ft2build.h libraries/include/llfreetype2/freetype
mkdir libraries/include/jpeglib
ln -s %{_includedir}/{jpeglib,jerror}.h libraries/include/jpeglib
> libraries/include/jpeglib/jinclude.h
mkdir libraries/include/openjpeg
ln -s %{_includedir}/openjpeg.h libraries/include/openjpeg
mkdir libraries/include/xmlrpc-epi
ln -s %{_includedir}/xmlrpc.h libraries/include/xmlrpc-epi
mkdir libraries/include/zlib
ln -s %{_includedir}/zlib.h libraries/include/zlib

%build
CLIENT_CPPFLAGS=`pkg-config --cflags gtk+-2.0`
%if %mdkversion < 200710
  CLIENT_CPPFLAGS="$CLIENT_CPPFLAGS -I/usr/include/freetype2 -I/usr/include/libpng12"
%endif
export CLIENT_CPPFLAGS

pushd indra
scons BUILD=release BTARGET=client DISTCC=no MOZLIB=no
popd

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_gamesbindir}
install -m 755 indra/newview/%{name}-*-bin-globalsyms %{buildroot}%{_gamesbindir}/%{name}.bin
install -m 755 indra/newview/linux_tools/wrapper.sh %{buildroot}%{_gamesbindir}/%{name}

pushd indra/newview
  install -d %{buildroot}%{_gamesdatadir}/%{name}
  cp -a app_settings character fonts skins res-sdl \
        featuretable.txt gpu_table.txt \
        %{buildroot}%{_gamesdatadir}/%{name}
popd

install -m 644 scripts/messages/message_template.msg %{buildroot}%{_gamesdatadir}/%{name}/app_settings/
ln -s /usr/share/fonts/TTF/Vera.ttf %{buildroot}%{_gamesdatadir}/%{name}/unicode.ttf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc indra/newview/linux_tools/client-readme.txt indra/newview/releasenotes.txt indra/newview/lsl_guide.html
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}.bin
%{_gamesdatadir}/%{name}


%changelog
* Mon Mar 12 2007 Olivier Blin <oblin@mandriva.com> 1.13.4.7-2mdv2007.1
+ Revision: 141461
- make openjpeg decoding a lot faster (from upstream Jira, VWR-123)
- 1.13.4.7
- readd wrongly dropped fmod patch
- fix build errors (extra qualifications and class declarations)
- make wrapper pass arguments to secondlife.bin
- disable mozlib (would require ubrowser libs)
- require secondlife-artwork instead of secondlife-static-data

  + Emmanuel Andry <eandry@mandriva.org>
    - oops, forgot to change version to 1.13.3
    - New snapshot
    - drop patch 3
    - rediff patch 7

* Mon Jan 29 2007 Olivier Blin <oblin@mandriva.com> 1.13-0.20070126a.3mdv2007.1
+ Revision: 115036
- use bison instead of byacc
- 20070126a (and drop merged upstream patches)
- add missing includes for 2007.0 (thanks to Hawkwind for the report)

* Wed Jan 10 2007 Olivier Blin <oblin@mandriva.com> 0.1-0.20070108c.3mdv2007.1
+ Revision: 106864
- add missing message template (the game now starts, but is slow)

* Tue Jan 09 2007 Olivier Blin <oblin@mandriva.com> 0.1-0.20070108c.2mdv2007.1
+ Revision: 106753
- require secondlife-static-data
- fix x86_64 build

* Tue Jan 09 2007 Olivier Blin <oblin@mandriva.com> 0.1-0.20070108c.1mdv2007.1
+ Revision: 106493
- build for i586 only now, I will fix x86_64 build later
- buildrequire mesaglu-devel
- simplify (silent)
- buildrequire flex
- use Vera.ttf as default font
- add wrapper script
- add more doc
- add feature/gpu tables
- add data files
- buildrequire curl-devel
- add readme
- buildrequire apr-util-devel
- install in games*bin*dir
- buildrequires SDL-devel, mesagl-devel, oggvorbis-devel
- buildrequire apr-devel
- buildrequire scons
- initial Mandriva release
- Create secondlife

